﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __InvoicePayment = LightSwitchApplication.InvoicePayment

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class InvoicePayment
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __InvoicePayment, __InvoicePayment.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the InvoicePayment entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InvoicePayment))
            MyBase.New(entitySet)
            
            __InvoicePayment.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoicePayment_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoicePayment_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DatePaid As Date
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.DatePaid)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.DatePaid, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DatePaid_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DatePaid_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DatePaid_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property CashAmount As Decimal
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.CashAmount)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.CashAmount, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashAmount_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashAmount_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CashAmount_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property CreditNote As String
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.CreditNote)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.CreditNote, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CreditNote_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CreditNote_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CreditNote_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property DateOnCreditNote As Global.System.Nullable(Of Date)
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.DateOnCreditNote)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.DateOnCreditNote, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DateOnCreditNote_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DateOnCreditNote_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub DateOnCreditNote_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property CreditNoteAmount As Global.System.Nullable(Of Decimal)
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.CreditNoteAmount)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.CreditNoteAmount, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CreditNoteAmount_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CreditNoteAmount_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub CreditNoteAmount_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public ReadOnly Property TotalPaid As Decimal
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.TotalPaid)
            End Get
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TotalPaid_Compute(ByRef result As Decimal)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub TotalPaid_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property InvoiceHeader As Global.LightSwitchApplication.InvoiceHeader
            Get
                Return __InvoicePayment.DetailsClass.GetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.InvoiceHeader)
            End Get
            Set
                __InvoicePayment.DetailsClass.SetValue(Me, __InvoicePayment.DetailsClass.PropertySetProperties.InvoiceHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub InvoiceHeader_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __InvoicePayment, _
                __InvoicePayment.DetailsClass, _
                __InvoicePayment.DetailsClass.IImplementation, _
                __InvoicePayment.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InvoicePayment, __InvoicePayment.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InvoicePayment, __InvoicePayment.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __InvoicePayment.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __InvoicePaymentEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InvoicePayment, __InvoicePayment.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __InvoicePayment, __InvoicePayment.DetailsClass).Entry( _
                    AddressOf __InvoicePayment.DetailsClass.__InvoicePayment_CreateNew, _
                    AddressOf __InvoicePayment.DetailsClass.__InvoicePayment_Created, _
                    AddressOf __InvoicePayment.DetailsClass.__InvoicePayment_AllowSaveWithErrors)
            Private Shared Function __InvoicePayment_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __InvoicePayment)) As __InvoicePayment
                Return New __InvoicePayment(es)
            End Function
            Private Shared Sub __InvoicePayment_Created(e As __InvoicePayment)
                e.InvoicePayment_Created()
            End Sub
            Private Shared Function __InvoicePayment_AllowSaveWithErrors(e As __InvoicePayment) As Boolean
                Dim result As Boolean = False
                e.InvoicePayment_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __InvoicePayment, __InvoicePayment.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __InvoicePayment, __InvoicePayment.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __InvoicePayment.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __InvoicePayment, __InvoicePayment.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property DatePaid As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.DatePaid),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property CashAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.CashAmount),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property CreditNote As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, String)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.CreditNote),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, String))
                    End Get
                End Property
                
                Public ReadOnly Property DateOnCreditNote As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Date))
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.DateOnCreditNote),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Date)))
                    End Get
                End Property
                
                Public ReadOnly Property CreditNoteAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Decimal))
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.CreditNoteAmount),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Decimal)))
                    End Get
                End Property
                
                Public ReadOnly Property TotalPaid As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.TotalPaid),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.LightSwitchApplication.InvoiceHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__InvoicePayment.DetailsClass.PropertySetProperties.InvoiceHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.LightSwitchApplication.InvoiceHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property DatePaid As Date
                Shadows Property CashAmount As Decimal
                Shadows Property CreditNote As String
                Shadows Property DateOnCreditNote As Global.System.Nullable(Of Date)
                Shadows Property CreditNoteAmount As Global.System.Nullable(Of Decimal)
                Shadows Property InvoiceHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Integer).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __InvoicePayment.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __InvoicePayment)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Byte()).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __InvoicePayment.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __InvoicePayment)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DatePaid As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Date).Entry( _
                        "DatePaid", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DatePaid_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DatePaid_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DatePaid_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DatePaid_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DatePaid_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DatePaid_OnValueChanged)
                Private Shared Sub _DatePaid_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Date).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._DatePaid, sf)
                End Sub
                Private Shared Function _DatePaid_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.DatePaid_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DatePaid_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DatePaid_Validate(r)
                End Sub
                Private Shared Function _DatePaid_GetImplementationValue(d As __InvoicePayment.DetailsClass) As Date
                    Return d.ImplementationEntity.DatePaid
                End Function
                Private Shared Sub _DatePaid_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Date)
                    d.ImplementationEntity.DatePaid = __InvoicePayment.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _DatePaid_OnValueChanged(e As __InvoicePayment)
                    e.DatePaid_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly CashAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Entry( _
                        "CashAmount", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CashAmount_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CashAmount_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CashAmount_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CashAmount_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CashAmount_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CashAmount_OnValueChanged)
                Private Shared Sub _CashAmount_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._CashAmount, sf)
                End Sub
                Private Shared Function _CashAmount_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.CashAmount_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _CashAmount_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.CashAmount_Validate(r)
                End Sub
                Private Shared Function _CashAmount_GetImplementationValue(d As __InvoicePayment.DetailsClass) As Decimal
                    Return d.ImplementationEntity.CashAmount
                End Function
                Private Shared Sub _CashAmount_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Decimal)
                    d.ImplementationEntity.CashAmount = v
                End Sub
                Private Shared Sub _CashAmount_OnValueChanged(e As __InvoicePayment)
                    e.CashAmount_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly CreditNote As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, String).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, String).Entry( _
                        "CreditNote", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNote_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNote_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNote_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNote_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNote_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNote_OnValueChanged)
                Private Shared Sub _CreditNote_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, String).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._CreditNote, sf)
                End Sub
                Private Shared Function _CreditNote_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.CreditNote_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _CreditNote_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.CreditNote_Validate(r)
                End Sub
                Private Shared Function _CreditNote_GetImplementationValue(d As __InvoicePayment.DetailsClass) As String
                    Return d.ImplementationEntity.CreditNote
                End Function
                Private Shared Sub _CreditNote_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As String)
                    d.ImplementationEntity.CreditNote = v
                End Sub
                Private Shared Sub _CreditNote_OnValueChanged(e As __InvoicePayment)
                    e.CreditNote_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly DateOnCreditNote As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Date)).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Date)).Entry( _
                        "DateOnCreditNote", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DateOnCreditNote_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DateOnCreditNote_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DateOnCreditNote_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DateOnCreditNote_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DateOnCreditNote_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._DateOnCreditNote_OnValueChanged)
                Private Shared Sub _DateOnCreditNote_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Date)).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._DateOnCreditNote, sf)
                End Sub
                Private Shared Function _DateOnCreditNote_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.DateOnCreditNote_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _DateOnCreditNote_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.DateOnCreditNote_Validate(r)
                End Sub
                Private Shared Function _DateOnCreditNote_GetImplementationValue(d As __InvoicePayment.DetailsClass) As Global.System.Nullable(Of Date)
                    Return d.ImplementationEntity.DateOnCreditNote
                End Function
                Private Shared Sub _DateOnCreditNote_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Global.System.Nullable(Of Date))
                    d.ImplementationEntity.DateOnCreditNote = __InvoicePayment.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _DateOnCreditNote_OnValueChanged(e As __InvoicePayment)
                    e.DateOnCreditNote_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly CreditNoteAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Decimal)).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Decimal)).Entry( _
                        "CreditNoteAmount", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNoteAmount_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNoteAmount_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNoteAmount_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNoteAmount_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNoteAmount_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._CreditNoteAmount_OnValueChanged)
                Private Shared Sub _CreditNoteAmount_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Decimal)).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._CreditNoteAmount, sf)
                End Sub
                Private Shared Function _CreditNoteAmount_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.CreditNoteAmount_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _CreditNoteAmount_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.CreditNoteAmount_Validate(r)
                End Sub
                Private Shared Function _CreditNoteAmount_GetImplementationValue(d As __InvoicePayment.DetailsClass) As Global.System.Nullable(Of Decimal)
                    Return d.ImplementationEntity.CreditNoteAmount
                End Function
                Private Shared Sub _CreditNoteAmount_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Global.System.Nullable(Of Decimal))
                    d.ImplementationEntity.CreditNoteAmount = v
                End Sub
                Private Shared Sub _CreditNoteAmount_OnValueChanged(e As __InvoicePayment)
                    e.CreditNoteAmount_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly TotalPaid As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Entry( _
                        "TotalPaid", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._TotalPaid_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._TotalPaid_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._TotalPaid_ComputeValue)
                Private Shared Sub _TotalPaid_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._TotalPaid, sf)
                End Sub
                Private Shared Sub _TotalPaid_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.TotalPaid_Validate(r)
                End Sub
                Private Shared Function _TotalPaid_ComputeValue(e As __InvoicePayment) As Decimal
                    Dim value As Decimal = Nothing
                    e.TotalPaid_Compute(value)
                    Return value
                End Function
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Entry( _
                        "InvoiceHeader", _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_Stub, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_ComputeIsReadOnly, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_Validate, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_GetCoreImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_GetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_SetImplementationValue, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_Refresh, _
                        AddressOf __InvoicePayment.DetailsClass.PropertySetProperties._InvoiceHeader_OnValueChanged)
                Private Shared Sub _InvoiceHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __InvoicePayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data), d As __InvoicePayment.DetailsClass, sf As Object)
                    c(d, d._InvoiceHeader, sf)
                End Sub
                Private Shared Function _InvoiceHeader_ComputeIsReadOnly(e As __InvoicePayment) As Boolean
                    Dim result As Boolean = False
                    e.InvoiceHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _InvoiceHeader_Validate(e As __InvoicePayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.InvoiceHeader_Validate(r)
                End Sub
                Private Shared Function _InvoiceHeader_GetCoreImplementationValue(d as __InvoicePayment.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.InvoiceHeader
                End Function
                Private Shared Function _InvoiceHeader_GetImplementationValue(d as __InvoicePayment.DetailsClass) As Global.LightSwitchApplication.InvoiceHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.InvoiceHeader, Global.LightSwitchApplication.InvoiceHeader.DetailsClass)(__InvoicePayment.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Function
                Private Shared Sub _InvoiceHeader_SetImplementationValue(d As __InvoicePayment.DetailsClass, v As Global.LightSwitchApplication.InvoiceHeader)
                    d.SetImplementationValue(__InvoicePayment.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader, Sub(i, ev) i.InvoiceHeader = ev, v)
                End Sub
                Private Shared Sub _InvoiceHeader_Refresh(d As __InvoicePayment.DetailsClass)
                    d.RefreshNavigationProperty(__InvoicePayment.DetailsClass.PropertySetProperties.InvoiceHeader, d._InvoiceHeader)
                End Sub
                Private Shared Sub _InvoiceHeader_OnValueChanged(e As __InvoicePayment)
                    e.InvoiceHeader_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DatePaid As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _CashAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _CreditNote As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, String).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _DateOnCreditNote As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Date)).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _CreditNoteAmount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.System.Nullable(Of Decimal)).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _TotalPaid As Global.Microsoft.LightSwitch.Details.Framework.EntityComputedProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _InvoiceHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __InvoicePayment, __InvoicePayment.DetailsClass, Global.LightSwitchApplication.InvoiceHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
